/* __getc() with support for CR/LF-conversion in text-mode */

#include <stdio.h>
#undef __getc


int __getc(FILE *f)
{
#ifdef _CLE
  int c = __rawgetc(f);

  if (c=='\r' && (f->flags&_CLE))
    return '\n';
  return c;
#else
  return __rawgetc(f);
#endif
}
